package com.qmth.cqb.paper.web;

import com.qmth.cqb.paper.dao.PaperRepo;
import com.qmth.cqb.paper.service.PaperService;
import org.apache.commons.io.IOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import com.qmth.cqb.paper.service.ImportPaperService;
import org.springframework.web.multipart.commons.CommonsMultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.*;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by songyue on 16/12/28.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class ImportPaperController {
	
	@Autowired
	ImportPaperService importPaperService;

    @Autowired
    PaperRepo paperRepo;

    @Autowired
    PaperService paperService;

    /**
     * 导入试卷
     * @param paperName
     * @param file
     * @return
     */
    @PostMapping(value = "/importPaper")
    public ResponseEntity importPaper(@RequestParam String paperName,
                                      @RequestParam("file") CommonsMultipartFile file){
        File tempFile = importPaperService.getUploadFile(file);
        String returnStr = importPaperService.ImportPaper(paperName,tempFile);
        if(returnStr.equals("success")){
            return new ResponseEntity(HttpStatus.OK);
        }else{
            return new ResponseEntity(returnStr,HttpStatus.INTERNAL_SERVER_ERROR);
        }
    }

}
